## ros-noetic-xv-11-laser-driver 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(xv_11_laser_driver)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp sensor_msgs)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/groovy/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
 #  DEPENDENCIES
 # sensor_msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
   INCLUDE_DIRS include
#  LIBRARIES xv_11_laser_driver
#  CATKIN_DEPENDS roscpp sensor_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp library
# add_library(xv_11_laser_driver
#   src/${PROJECT_NAME}/xv_11_laser_driver.cpp
# )

## Declare a cpp executable
# add_executable(xv_11_laser_driver_node src/xv_11_laser_driver_node.cpp)
add_executable(neato_laser_publisher 
	src/neato_laser_publisher.cpp
	src/xv11_laser.cpp
)
## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(neato_laser_publisher xv_11_laser_driver_generate_messages_cpp)

## Specify libraries to link a library or executable target against
target_link_libraries(neato_laser_publisher
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/groovy/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS neato_laser_publisher
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_xv_11_laser_driver.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-noetic-xv-11-laser-driver (0.3.0-1focal) focal; urgency=high

  * update default firmware_version to 2
  * Contributors: Rohan Agrawal

 -- rohan <send2arohan@gmail.com>  Wed, 22 Mar 2017 07:00:00 -0000

ros-noetic-xv-11-laser-driver (0.2.2-1focal) focal; urgency=high

  * added install rule for include files
  * Contributors: Rohan Agrawal

 -- rohan <send2arohan@gmail.com>  Mon, 15 Sep 2014 07:00:00 -0000

ros-noetic-xv-11-laser-driver (0.2.1-1focal) focal; urgency=high

  * merged Steve Dillo's include file
  * Merge pull request #1 <https://github.com/rohbotics/xv_11_laser_driver/issues/1> from rohbotics/master
    Merge master and hydro-devel
  * Contributors: Rohan Agrawal

 -- rohan <send2arohan@gmail.com>  Sun, 14 Sep 2014 07:00:00 -0000

ros-noetic-xv-11-laser-driver (0.2.0-1focal) focal; urgency=high

  * Pulled in Steve 'dillo Okay's RPMs topic
  * Contributors: Rohan Agrawal

 -- rohan <send2arohan@gmail.com>  Sat, 22 Feb 2014 08:00:00 -0000

ros-noetic-xv-11-laser-driver (0.1.2-1focal) focal; urgency=high

  * initial commit
  * Contributors: Rohan Agrawal

 -- rohan <send2arohan@gmail.com>  Sat, 23 Nov 2013 08:00:00 -0000

=== debian/control ===
Source: ros-noetic-xv-11-laser-driver
Section: misc
Priority: optional
Maintainer: rohan <send2arohan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://ros.org/wiki/xv_11_laser_driver
Standards-Version: 3.9.2

Package: ros-noetic-xv-11-laser-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Neato XV-11 Laser Driver.
 This driver works with the laser when it is removed from the XV-11 Robot as opposed to reading scans from the Neato's USB port.
